Ubuntu

No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M

Reported by Angel Jaurigue on 2007-10-24
22
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Karmic
Undecided
Unassigned
linux-backports-modules-2.6.22 (Ubuntu)
Unknown
Unassigned
Hardy
Unknown
Unassigned
Karmic
Unknown
Unassigned
linux-backports-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Karmic
Undecided
Unassigned

Bug Description

Newbie. Use to have sound in Edgy. Did not have in Feisty. I thought Gutsy would fix but turns out no. Just starting to try out Ubuntu but starting to get frustrated.

Installed latest Gutsy Live CD 10-18-2007 release

All volume levels in ALSA max. Non muted.

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: STAC92xx Digital [STAC92xx Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 6: Si3054 Modem [Si3054 Modem]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

lspci - v
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
        Subsystem: Gateway 2000 Unknown device 0205
        Flags: bus master, fast devsel, latency 0, IRQ 21
        Memory at d0440000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

Basilio Kublik (sourcercito) wrote :

Hi Angel
This seems to be quite similar to bug #131133, could you check the symptoms and tell us if it's the same, so we can link this report to that one, or else ask you for the required information.

Thanks in advance

Changed in linux-source-2.6.22:
importance: Undecided → Medium

symptoms-wise i think it's not that similar since mine didn't work even in
feisty...and talks about a different computer model...but to be honest i
can't be sure

i've been looking at all the different posts and links and tried downloading
and recompiling the latest drivers (alsa-*-1.0.15) in the alsa-project
website but either it didn't work or messed it up more (there was a time i
had to reinstall gutsy because it wasn't recognizing my sound card as it
used with aplay -l)

i'd rather i send you the required information to confirm as i really
wouldn't know being new to ubuntu and linux

----- Original Message -----
From: "Basilio Kublik" <email address hidden>
To: <email address hidden>
Sent: Wednesday, October 24, 2007 5:01 AM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

Hi Angel
This seems to be quite similar to bug #131133, could you check the symptoms
and tell us if it's the same, so we can link this report to that one, or
else ask you for the required information.

Thanks in advance

** Changed in: linux-source-2.6.22 (Ubuntu)
Sourcepackagename: None => linux-source-2.6.22
     Assignee: (unassigned) => Basilio Kublik (sourcercito)
       Status: New => Incomplete

** Changed in: linux-source-2.6.22 (Ubuntu)
   Importance: Undecided => Medium

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

Tim Gardner (timg-tpi) wrote :

Try installing linux-backports-modules which has ALSA 1.0.15

Changed in linux-source-2.6.22:
assignee: sourcercito → timg-tpi
Changed in linux-backports-modules-2.6.22:
status: Incomplete → In Progress

again, pardon for my ignorance but how do i do that?

went to this site
http://packages.ubuntu.com/gutsy/base/linux-backports-modules-2.6.22-14-generic

and wasn't sure what to download and how to go about it? does it need
compiling? how?

On 10/25/07, Tim Gardner <email address hidden> wrote:
>
> Try installing linux-backports-modules which has ALSA 1.0.15
>
> ** Changed in: linux-backports-modules-2.6.22 (Ubuntu)
> Sourcepackagename: linux-source-2.6.22 => linux-backports-modules-2.6.22
> Assignee: Basilio Kublik (sourcercito) => Tim Gardner (timg-tpi)
>
> ** Changed in: linux-backports-modules-2.6.22 (Ubuntu)
> Status: Incomplete => In Progress
>
> --
> No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
> https://bugs.launchpad.net/bugs/156580
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Olivier (olivier-lacroix) wrote :

unfortunately, still no sound. :c

i hope i can at least get a fix before the next ubuntu release.

thanks anyway.

----- Original Message -----
From: "Olivier" <email address hidden>
To: <email address hidden>
Sent: Wednesday, November 14, 2007 5:30 PM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

Hi !

in case you have have not yet found out, follow this method

http://linuxtechie.wordpress.com/2007/10/19/getting-intel-ich8-family-
rev-3-sound-card-to-work-in-gutsy/

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

Tim Gardner (timg-tpi) wrote :

Recheck with Hardy

Changed in linux:
importance: Undecided → Medium
milestone: none → hardy-alpha-2
status: New → Triaged
Tim Gardner (timg-tpi) wrote :

Recheck in Hardy

Changed in linux-backports-modules-2.6.22:
assignee: timg-tpi → nobody
importance: Medium → Unknown
status: In Progress → Won't Fix
Janne Hyötylä (janne-hyotyla) wrote :

Are you sure that all possible mixers are unmuted? There are at least two independent mixers that I know of:
1) 'alsamixer' on the command line
2) Gnome alsa mixer. Double click the speaker icon at the top right panel in gnome. Here you can display different channels by going into the preferences.

Marcus Granado (mrc-gran) wrote :

Angel,
have you tried this on Gutsy:

sudo apt-get install module-assistant
sudo m-a update
sudo m-a prepare
sudo m-a a-i alsa

and reboot.

(from http://ubuntuforums.org/showthread.php?s=d122159285c513773c7bcf5eb169106c&t=575653 and http://ubuntuforums.org/showthread.php?p=3489580)

checked both...none muted

----- Original Message -----
From: "Janne Hyötylä" <email address hidden>
To: <email address hidden>
Sent: Sunday, December 16, 2007 8:28 AM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

Are you sure that all possible mixers are unmuted? There are at least two
independent mixers that I know of:
1) 'alsamixer' on the command line
2) Gnome alsa mixer. Double click the speaker icon at the top right panel in
gnome. Here you can display different channels by going into the
preferences.

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

tried this one...still no sound :c

----- Original Message -----
From: "Marcus Granado" <email address hidden>
To: <email address hidden>
Sent: Monday, December 17, 2007 7:31 AM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

Angel,
have you tried this on Gutsy:

sudo apt-get install module-assistant
sudo m-a update
sudo m-a prepare
sudo m-a a-i alsa

and reboot.

(from
http://ubuntuforums.org/showthread.php?s=d122159285c513773c7bcf5eb169106c&t=575653
and http://ubuntuforums.org/showthread.php?p=3489580)

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

Julian Krause (julian-krause) wrote :

I had the same problem on very similar Hardware after upgrading to Hardy on my own laptop. The solution I found was to change the settings in Sound Preferences to point everything explicitly to ALSA. The Autodetect did not work.

tried pointing everything to ALSA. still didn't work :c

thanks for sharing anyway

----- Original Message -----
From: "Julian Krause" <email address hidden>
To: <email address hidden>
Sent: Thursday, December 20, 2007 10:44 AM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

I had the same problem on very similar Hardware after upgrading to Hardy
on my own laptop. The solution I found was to change the settings in
Sound Preferences to point everything explicitly to ALSA. The Autodetect
did not work.

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

Changed in linux:
milestone: hardy-alpha-2 → hardy-alpha-3
Steve Langasek (vorlon) on 2008-01-06
Changed in linux:
milestone: hardy-alpha-3 → none

My Sound Card is a ATI SB450 HDA Audio....Just starting to try out Ubuntu 7.10 and i have no sound?? What do i need to do... Can any one help me! I Have The Ml3109 Gateway noteBook..

Jim Braux-Zin (j-brauxzin) wrote :

I have this same problem with hardy. This is a new laptop I didn't try with Gutsy. What can I do to help?

Was the problem fixed in Hardy? Maybe I just need to switch to it since I
still don't have a solution further delaying my switch to Ubuntu.

----- Original Message -----
From: "Jim Braux-Zin" <email address hidden>
To: <email address hidden>
Sent: Friday, February 22, 2008 10:48 AM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

I have this same problem with hardy. This is a new laptop I didn't try
with Gutsy. What can I do to help?

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

Sounds work fine here in both Gutsy and hardy as of 2/28/2008
on Intel HDA
Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 04)

Fujitsu-Siemens Laptop E8020

kornel horvath (gaborbasch) wrote :

hi

i have a dell d620 with the same STAC92xx chip.
sound works fine in hardy with alsa and pulseaudio to

maybe you could try to switch pulseaudio or hadry and pulseaudio

thanks...however, finally upgraded to hardy alpha 6 hoping this would
FINALLY fix the issue...unfortunately, still no luck...still no sound :c

still getting that BIOS BUG error after choosing ubuntu from GRUB...not sure
if this is just a sound card issue or being a gateway laptop has something
to do with it

----- Original Message -----
From: "kornel horvath" <email address hidden>
To: <email address hidden>
Sent: Monday, March 10, 2008 6:06 PM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

hi

i have a dell d620 with the same STAC92xx chip.
sound works fine in hardy with alsa and pulseaudio to

maybe you could try to switch pulseaudio or hadry and pulseaudio

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

aby (proreg) wrote :

ok i have a gateway with the same model ans sigmatel and HDA
just like you i tried many things in ubuntu but didn't work yet i still think its possible its just that i am really "newbie"
I strugle to compile and often forget how to use gedit lol

anyway i got "Fedora core 8" which in my opinion isn't as fancy and friendly as the ubuntu but the sound actually works

i guess if it works there then its just a mater of copyn some files and replicate the settings to ubuntu yet i dont even know how to do that

and by the way how is the video card working with you i am dieing to have the effects working on my tine box yet i just think that the graphics card isnt that powerful enough to support it is the case or i just didn't configure it the right way?

I've had similar problems with the Intel HDA, especially in Hardy.

First check to make sure all Amplifier/Auxiallary is shut off. (gnome-alsamixer).
Then restart alsa (ctrl+alt+backspace afterwards).
If audio is still missing, this is what I did.

For some reason in hardy the sound will just quit on me. Especially after watching youtube videos.
 I killed the PulseAudio in the processes (it was eating ~50% of my processor). And it worked automatically.

I hope this helps someone. And hopefully there'll be a fix. Unfortunately,when this happens, it doesn't trigger the bug report tool. When/if it happens again, I'll file a full report with my methods and results.

-Shoe

Ok

I suffered for along time with my laptop not being able to have sound or effects

I have intel HDA ICH7 & and sigmatel

anyway i think this solution will probably help every one. cause now, guess what!!!!!

I have sound & i swear its higher, better and even more clearer than xp or vista

I missed up ALSA trying to update it & recompiling the new version.

so I suggest that u reinstall fresh copy of gusty if u did the same things as I have done.

Now to start the solving the problem:

after getting a fresh copy of gusty installed

*** 1- made sure you get it updated: in the "menu bar" go to "System" menu and -> "Administration" -> "Update Manager"

*** 2- click on "check" & wait for it to load

*** 3- now click on "install updates" & wait, it could take a long time with slow internet connection and/or busy servers.

*** 4- reboot

*** 5- in the "menu bar" go to "System" menu and -> "Administration" -> "Software Sources"

*** 6-now select the "Updates" tab

*** 7-In the "update" tab, you have to select all the first 4 options:

generally u will have only the first 2 selected:

----------------> you have to select the options "Unsupported updates" => the third box

---------------> also select "Pre-released updates" => the forth box

 "DO NOT CLICK REVERT"

*** 8-Now click on close

*** 9-restart

*** 10-login

*** 11-connect to the internet

*** 12,a- When prompted to update do it

* if not prompted:

*** 12,b- in the "menu bar" go to "System" menu and -> "Administration" -> "Update Manager"

*** 13-in the "update manager" window click on "check" & wait for it to reload the new software updates

*** 14- now click on "install updates" & wait, it could take a long time with slow internet connection and/or busy servers.

ALMOST DONE bare with me

*** 15-click close after getting update success

*** 16-go to "System" menu and -> "Preferences" -> "Sound"

*** 17- set:
A-the first 3 choice boxes to "auto detect "
B-the 4th to ALSA
C-the last one to intel HDA

*** 18-restart

& voalaaaaaa it works.

rock on Ubuntu

I have searched all over the net 4 a way to fix it yet this is the only one that worked 4 me

Let me know if it works out 4 you
good luck

followed the instructions...still no luck :c

----- Original Message -----
From: "aby" <email address hidden>
To: <email address hidden>
Sent: Sunday, March 23, 2008 1:43 AM
Subject: [Bug 156580] {SOLVED it}Re: No sound on HD A Intel; SigmaTel
STAC9200;Gateway E100M

Ok

I suffered for along time with my laptop not being able to have sound or
effects

I have intel HDA ICH7 & and sigmatel

anyway i think this solution will probably help every one. cause now,
guess what!!!!!

I have sound & i swear its higher, better and even more clearer than xp
or vista

I missed up ALSA trying to update it & recompiling the new version.

so I suggest that u reinstall fresh copy of gusty if u did the same
things as I have done.

Now to start the solving the problem:

after getting a fresh copy of gusty installed

*** 1- made sure you get it updated: in the "menu bar" go to "System"
menu and -> "Administration" -> "Update Manager"

*** 2- click on "check" & wait for it to load

*** 3- now click on "install updates" & wait, it could take a long time
with slow internet connection and/or busy servers.

*** 4- reboot

*** 5- in the "menu bar" go to "System" menu and -> "Administration" ->
"Software Sources"

*** 6-now select the "Updates" tab

*** 7-In the "update" tab, you have to select all the first 4 options:

generally u will have only the first 2 selected:

----------------> you have to select the options "Unsupported updates" =>
the third box

---------------> also select "Pre-released updates" => the forth box

 "DO NOT CLICK REVERT"

*** 8-Now click on close

*** 9-restart

*** 10-login

*** 11-connect to the internet

*** 12,a- When prompted to update do it

* if not prompted:

*** 12,b- in the "menu bar" go to "System" menu and -> "Administration"
-> "Update Manager"

*** 13-in the "update manager" window click on "check" & wait for it to
reload the new software updates

*** 14- now click on "install updates" & wait, it could take a long time
with slow internet connection and/or busy servers.

ALMOST DONE bare with me

*** 15-click close after getting update success

*** 16-go to "System" menu and -> "Preferences" -> "Sound"

*** 17- set:
A-the first 3 choice boxes to "auto detect "
B-the 4th to ALSA
C-the last one to intel HDA

*** 18-restart

& voalaaaaaa it works.

rock on Ubuntu

I have searched all over the net 4 a way to fix it yet this is the only
one that worked 4 me

Let me know if it works out 4 you
good luck

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

aby (proreg) wrote :

did u reinstall a fresh copy of Ubuntu gusty?

because all the previous missing around wouldnt let you benifit of this updates?

& i know you have heard this many times check if the sound is muted and you went to menu " Edit " -> "preferences" and add all the unchecked items in the volume controller & un mute them

i am sure its just there is tiny thing missing or u assumed because we have the same laptop

I know its frustrating but you cant Imagen how happy you would be when you hear that start up sound when you login for the first time after you fix the sound problem good luck.

Ubuntu -> keep rocking

yes i did...followed the instructions to the letter...even formatted the
ext3 and swap partitions to be sure before reinstalling gutsy...and it is
really getting frustrating

by the way, i'm using a Windows-Ubuntu dual boot...might be the
difference...but I doubt since they're on different partitions anyway

i'll just keep on hoping this would eventually be get fixed in future
releases...but tried the hardy alpha 6 and no luck with that
either...sigh...

----- Original Message -----
From: "aby" <email address hidden>
To: <email address hidden>
Sent: Tuesday, March 25, 2008 8:54 AM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

did u reinstall a fresh copy of Ubuntu gusty?

because all the previous missing around wouldnt let you benifit of this
updates?

& i know you have heard this many times check if the sound is muted and
you went to menu " Edit " -> "preferences" and add all the unchecked
items in the volume controller & un mute them

i am sure its just there is tiny thing missing or u assumed because we
have the same laptop

I know its frustrating but you cant Imagen how happy you would be when you
hear that start up sound when you login for the first time after you fix the
sound problem good luck.

Ubuntu -> keep rocking

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

aby (proreg) wrote :

so sorry to hear that

you know what,

& no dual boot has no effect in fact i have Ubuntu, Fedora8, & WindowsXP
 have tried Fedora core 8 i guess you can customize it to be almost like Ubuntu

this one works out of the box

by the way I am installing ubuntu from the DVD and not the cd i wounder if that makes any differecnce.

I will look it up to see if i missed smthn that i have not wrote

thanks...will wait for anything i can try

thing is..there are no error messages....and it seems media is
playing...there's really just no sound coming out from the speakers or
earphones...and i have tried to unmute anything that there is to
unmute...even using alsamixer through terminal

----- Original Message -----
From: "aby" <email address hidden>
To: <email address hidden>
Sent: Wednesday, March 26, 2008 5:52 PM
Subject: [Bug 156580] Re: No sound on HDA Intel; SigmaTel STAC9200;Gateway
E100M

so sorry to hear that

you know what,

& no dual boot has no effect in fact i have Ubuntu, Fedora8, & WindowsXP
 have tried Fedora core 8 i guess you can customize it to be almost like
Ubuntu

this one works out of the box

by the way I am installing ubuntu from the DVD and not the cd i wounder
if that makes any differecnce.

I will look it up to see if i missed smthn that i have not wrote

--
No sound on HDA Intel;SigmaTel STAC9200; Gateway E100M
https://bugs.launchpad.net/bugs/156580
You received this bug notification because you are a direct subscriber
of the bug.

LuisMompoHanden (luis-flux-it) wrote :

i have similar problems with an Acer Aspire 5650:
- I have a sound device
- there are no error messages
- there is no sound on any output device

I did a dist-upgrade from feisty to hardy.

$uname -a
Linux fluxtop 2.6.24-12-386 #1 Wed Mar 12 22:30:29 UTC 2008 i686 GNU/Linux

$lspci -v
 00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
        Subsystem: Acer Incorporated [ALI] Unknown device 0090
        Flags: bus master, fast devsel, latency 0, IRQ 22
        Memory at d2500000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0

$ aplay -l
**** Liste von PLAYBACK Geräten ****
Karte 0: Intel [HDA Intel], Gerät 0: ALC883 Analog [ALC883 Analog]
  Untergeordnete Geräte: 1/1
  Untergeordnetes Gerät '0: subdevice #0

$ lsmod | grep snd
snd_hda_intel 342552 3
snd_pcm_oss 40864 0
snd_mixer_oss 16896 1 snd_pcm_oss
snd_pcm 75400 2 snd_hda_intel,snd_pcm_oss
snd_page_alloc 10504 2 snd_hda_intel,snd_pcm
snd_hwdep 9476 1 snd_hda_intel
snd_seq_dummy 3972 0
snd_seq_oss 34048 0
snd_seq_midi 8480 0
snd_rawmidi 24608 1 snd_seq_midi
snd_seq_midi_event 7552 2 snd_seq_oss,snd_seq_midi
snd_seq 51152 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 23556 2 snd_pcm,snd_seq
snd_seq_device 8588 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
snd 54692 17 snd_hda_intel,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_hwdep,snd_seq_dummy,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore 7520 1 snd

amias (amias) wrote :

I recently updated my 64bit hardy installation but the new kernel 2.6.24-13 has no modules package in the repo , this means i have no snd_hda_intel module and so no sound. I know this is still beta but can people please hold off releasing the kernel until the module packages are built , its of limited use without it .

Changed in linux:
assignee: nobody → timg-tpi
milestone: none → ubuntu-8.04.1
Peter Leggett (p-f-leggett) wrote :

I installed 8.04 LTS today on lenovo 3000 n200 laptop. It's a great desktop linux.
most things work. Except.... no sound as many others have reported. The output from
the alsa information scrip is here:- http://pastebin.ca/997235

I have tried many of the remedies mentioned in other comments but none have worked.
I believe that there is a definite bug here.

I had this problem with hardy tested on a few of my computers, different once (from new and old) and looks that if i chose another login wav, it did not play, only the actual login.wav - file. after renaming another file to login.wav, it played ...

is login.wav hardcoded??? Eventhough one can choose another soundfile, only login.wav does actualy play.

maybe this will help finding this bug?

regards.

Ronald

Steve Langasek (vorlon) on 2008-06-05
Changed in linux-backports-modules-2.6.24:
milestone: ubuntu-8.04.1 → none
Steve Langasek (vorlon) wrote :

This bug has been getting shuffled between milestones for quite some time. Tim, is this still on your radar for hardy?

Changed in linux-backports-modules-2.6.24:
milestone: ubuntu-8.04.1 → ubuntu-8.04.2
Tim Gardner (timg-tpi) wrote :

Steve - Its unlikely unless it gets fixed upstream with ALSA 1.17 which eventually get backported to Hardy LBM.

Bryce Harrington (bryce) wrote :

I have this same hardware. It seems sound support on this card is poor and it breaks under a variety of circumstances.

It is my guess that most of the issues mentioned in the comments above are each separate bugs, and this report has just become an aggregation point for bugs that result in the generic symptom of sound failing to play. From my own experience I've seen this happen due to several different unrelated problems.

Fwiw, one thing I've had to always do is add "options snd-hda-intel model=mitac" to /etc/modprobe.d/alsa-base and reboot. Sometimes I have to fiddle around with pulseaudio/alsa a bit (restarting them, adjusting settings, etc.) Currently (after updating to today's jaunty changes) I'm having this problem again and none of the usual tricks are not working.

Bryce Harrington (bryce) wrote :

Aforementioned issue is at bug #210865

Bryce Harrington (bryce) wrote :

bug 315971 is another one that can cause 'no sound' symptoms on this hardware.

In fact, since there are so many different bugs that can cause "no sound" I suspect it would be best to close out this bug report and have people put their issues out as new bug reports, if neither of the above two bugs cover their issue already. This bug report has gotten too long and hoary.

Steve Langasek (vorlon) on 2009-01-23
Changed in linux-backports-modules-2.6.24:
milestone: ubuntu-8.04.2 → ubuntu-8.04.3
Tim Gardner (timg-tpi) wrote :

Audio issues in Hardy are not going to get fixed.

Changed in linux-backports-modules-2.6.24 (Ubuntu Hardy):
assignee: Tim Gardner (timg-tpi) → nobody
importance: Medium → Undecided
milestone: ubuntu-8.04.3 → none
status: Triaged → Won't Fix
Changed in linux-backports-modules-2.6.24 (Ubuntu):
assignee: Tim Gardner (timg-tpi) → nobody
importance: Medium → Undecided
status: Triaged → Invalid
Changed in linux (Ubuntu Hardy):
status: New → Won't Fix
Changed in linux (Ubuntu Karmic):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Karmic):
assignee: Tim Gardner (timg-tpi) → nobody
status: In Progress → Won't Fix
Changed in linux (Ubuntu):
assignee: Tim Gardner (timg-tpi) → nobody
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers